Subject: [Sshmgmt] Agent forwarding

From: Simon Josefsson <[email-masked]>
Date: Wed, 10 Apr 2013 19:47:58 +0200

Hi.  Please consider discussing the problem of enabling so called "agent
forwarding" (OpenSSH -A flag) when connecting to remote systems.

Briefly, if a remote system has been compromised, and you connect to it
using 'ssh -A', the remote system can use your credentials to login to
other systems.  Normally there is no user feedback of what is going on
either.  I've seen uses of 'ForwardAgent yes' in people's .ssh/config
which is risky and IMHO a problem worthy of attention.

If this concern is already covered by more generic text in the document,
I must have missed it and then I'm sorry for wasting your time -- I
searched for "agent" in the document.

Thanks,
/Simon